/**
 * 
 */
package org.forkalsrud.album.exif;

import java.io.File;

/**
 * @author knut
 *
 */
public class FileEntry extends Entry {


	public FileEntry(Entry parent, File file, String type) {

		super(file, type);
    	if (!file.isFile()) {
    		throw new RuntimeException("Use FileEntry only for files: " + file);
    	}
    	this.parent = parent;
    }


}
